net.sf.statsvn.util

## Class SvnInfoUtils.SvnInfoHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - net.sf.statsvn.util.SvnInfoUtils.SvnInfoHandler

- All Implemented Interfaces:
    org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler
  Direct Known Subclasses:
    SvnKitInfo.SvnKitInfoHandler
  Enclosing class:
    SvnInfoUtils

      protected static class SvnInfoUtils.SvnInfoHandler
      extends org.xml.sax.helpers.DefaultHandler

  SAX parser for the svn info --xml command.
  Author:
    jkealey

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SvnInfoUtils.SvnInfoHandler(SvnInfoUtils infoUtils)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(char[] ch, int start, int length)` Builds the string that was read; default implementation can invoke this function multiple times while reading the data.
    `void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)` End of xml element.
    `SvnInfoUtils` | `getInfoUtils()`
    `protected boolean` | `isRootFolder(org.xml.sax.Attributes attributes)` Is this the root of the workspace?
    `protected static boolean` | `isValidCommit(org.xml.sax.Attributes attributes)` Is this a valid commit? Check to see if wec an read the revision number.
    `protected static boolean` | `isValidInfoEntry(org.xml.sax.Attributes attributes)` Is this a valid info entry? Check to see if we can read path, kind and revision.
    `void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)` Start of XML element.

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SvnInfoUtils.SvnInfoHandler

          public SvnInfoUtils.SvnInfoHandler(SvnInfoUtils infoUtils)

  - ### Method Detail

    - #### getInfoUtils

          public SvnInfoUtils getInfoUtils()

    - #### characters

          public void characters(char[] ch,
                        int start,
                        int length)
                          throws org.xml.sax.SAXException

      Builds the string that was read; default implementation can invoke this function multiple times while reading the data.
      Specified by:
        `characters` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `characters` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### endElement

          public void endElement(java.lang.String uri,
                        java.lang.String localName,
                        java.lang.String qName)
                          throws org.xml.sax.SAXException

      End of xml element.
      Specified by:
        `endElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endElement` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### startElement

          public void startElement(java.lang.String uri,
                          java.lang.String localName,
                          java.lang.String qName,
                          org.xml.sax.Attributes attributes)
                            throws org.xml.sax.SAXException

      Start of XML element.
      Specified by:
        `startElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startElement` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### isRootFolder

          protected boolean isRootFolder(org.xml.sax.Attributes attributes)

      Is this the root of the workspace?
      Parameters:
        `attributes` - the xml attributes
      Returns:
        true if is the root folder.

    - #### isValidCommit

          protected static boolean isValidCommit(org.xml.sax.Attributes attributes)

      Is this a valid commit? Check to see if wec an read the revision number.
      Parameters:
        `attributes` - the xml attributes
      Returns:
        true if is a valid commit.

    - #### isValidInfoEntry

          protected static boolean isValidInfoEntry(org.xml.sax.Attributes attributes)

      Is this a valid info entry? Check to see if we can read path, kind and revision.
      Parameters:
        `attributes` - the xml attributes.
      Returns:
        true if is a valid info entry.